#ifndef LODEPNG_ALLOC_HPP
#define LODEPNG_ALLOC_HPP

#include <stddef.h>

void lodepng_allocator_init();
void lodepng_allocator_reset();
void lodepng_allocator_free();

void* lodepng_custom_malloc(size_t size);
void* lodepng_custom_realloc(void* ptr, size_t new_size);
void lodepng_custom_free(void* ptr);

#endif // LODEPNG_ALLOC_HPP
